Bug 831794 - [abrt] alacarte-0.13.4-4.fc17: types.py:43:function:TypeError: set_string_list() takes exactly 5 arguments (4 given)
[abrt] alacarte-0.13.4-4.fc17: types.py:43:function:TypeError: set_string_lis...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alacarte (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jasper St. Pierre
Fedora Extras Quality Assurance
abrt_hash:cbf5ce6ae580b6c881f34ef4ea3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 14:56 EDT by James Lawrence
Modified: 2014-08-26 22:58 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:59:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Lawrence 2012-06-13 14:56:07 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python2.7 -OOt /usr/bin/alacarte
comment:        I was adding a menu item using alacarte, I cliked "Move Up" button to rearrange the order
executable:     /usr/bin/alacarte
kernel:         3.4.0-1.fc17.x86_64
time:           Wed 13 Jun 2012 07:46:32 PM BST
uid:            1000
username:       james

backtrace:
:types.py:43:function:TypeError: set_string_list() takes exactly 5 arguments (4 given)
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 443, in on_move_up_button_clicked
:    self.editor.moveItem(item, item.get_parent(), before=before)
:  File "/usr/lib/python2.7/site-packages/Alacarte/MenuEditor.py", line 279, in moveItem
:    file_id = self.copyItem(item, new_parent)
:  File "/usr/lib/python2.7/site-packages/Alacarte/MenuEditor.py", line 258, in copyItem
:    util.fillKeyFile(keyfile, dict(Categories=[], Hidden=False))
:  File "/usr/lib/python2.7/site-packages/Alacarte/util.py", line 35, in fillKeyFile
:    keyfile.set_string_list(DESKTOP_GROUP, key, item)
:  File "/usr/lib64/python2.7/site-packages/gi/types.py", line 43, in function
:    return info.invoke(*args, **kwargs)
:TypeError: set_string_list() takes exactly 5 arguments (4 given)
:
:Local variables in innermost frame:
:info: <gi.FunctionInfo object (set_string_list) at 0x0x1dafb00>
:args: (<GKeyFile at 0x1ec7a00>, 'Desktop Entry', 'Categories', [])
:kwargs: {}

smolt_data:
:
:
:General
:=================================
:UUID: 7f110e66-a7dc-4100-90a6-9fb4a8b5b595
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6874.85
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core  CPU      E5200  @ 2.50GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 3436
:System Memory: 3954
:System Swap: 642
:Vendor: XFX
:System: XFX Nforce 680i LT 1
:Form factor: Desktop
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(6164:769:6164:9569) pci, rt61pci, NETWORK, EW-7108PCg
:(4318:872:4318:50526) pci, nForce2_smbus, SERIAL, MCP55 SMBus
:(4318:864:4318:50526) pci, None, PCI/ISA, MCP55 LPC Bridge
:(4318:929:4318:50526) pci, None, HOST/PCI, C55 Host Bridge
:(4318:937:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:938:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:947:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:946:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:945:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:944:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:943:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:942:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:941:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:940:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:949:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:948:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:939:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:936:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:950:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:956:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:954:4318:50526) pci, None, RAM, C55 Memory Controller
:(4318:951:4318:3157) pci, pcieport, PCI/PCI, C55 PCI Express bridge
:(4172:32803:4318:50526) pci, firewire_ohci, FIREWIRE, TSB43AB22A IEEE-1394a-2000 Controller (PHY/Link) [iOHCI-Lynx]
:(4318:656:4318:835) pci, nouveau, VIDEO, G71 [GeForce 7900 GTX]
:(4318:883:4318:50526) pci, forcedeth, BRIDGE, MCP55 Ethernet
:(4318:878:4318:50526) pci, pata_amd, STORAGE, MCP55 IDE
:(4318:873:4318:50526) pci, None, RAM, MCP55 Memory Controller
:(4318:895:4318:50526) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:895:4318:50526) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:895:4318:50526) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:880:4318:52100) pci, None, PCI/PCI, MCP55 PCI bridge
:(4318:881:4318:50526) pci, snd_hda_intel, MULTIMEDIA, MCP55 High Definition Audio
:(4318:876:4318:50526) pci, ohci_hcd, USB, MCP55 USB Controller
:(4318:877:4318:50526) pci, ehci_hcd, USB, MCP55 USB Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 39511781 37475848 37080395 9895936 9735920 9735920
:
Comment 1 Jasper St. Pierre 2012-06-13 15:00:42 EDT
We need an updated PyGObject for this to work.
Comment 2 Adam Joseph Cook 2012-06-23 20:21:28 EDT
1. Added a menu item (Application launcher) for an Eclipse IDE instance. The command is './home/acook/eclipse-indigo/eclipse'. The Icon is '/home/acook/eclipse-indigo/icon.xpm' The Name and Comment are both 'Eclipse 3.7.2 Indigo'.

2. This newly added menu item does not appear in the GNOME 3 menus (GNOME 3 fallback mode - no GNOME shell) at all. A restart does not make the item appear.

3. Attempt to reorder the newly created Application launcher 'Eclipse 3.7.2 Indigo' in the list by selecting the "Move Up" button. Application crashes upon clicking the "Move Up" button and the newly created 'Eclipse 3.7.2 Indigo' Application launcher disappears permanently from the list and the alacarte application crashes.


Package: alacarte-0.13.4-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 Stein Strindhaug 2012-07-05 03:18:47 EDT
Added new program (eclipse Juno using a command line string with arguments and set the icon to use the eclipse icon). 
Tried to move it up on the list using the up button, 
but then the new program icon just disappeared from the list,
seconds later notified me that Alacarte had crashed. 

(My workaround, add it again, 
and don't bother moving it; 
I added it to the favorites anyway)


Package: alacarte-0.13.4-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Michael 2012-07-30 14:44:29 EDT
i will set up RSSOwl in gnome3 - whit alacarte

Package: alacarte-0.13.4-4.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Rupert Roth 2012-09-07 01:29:34 EDT
move entry up

Package: alacarte-0.13.4-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 robert_wollny 2012-10-03 15:09:30 EDT
alacarte doesn't place the game in the games folder. He always place it in the others folder.
and if i try to move the file this error shows up and the link to the file vanishe.
i can reproduce the error as often as i like by just moving the link up or down.

sry for my bad english. i hope you understand enough


Package: alacarte-0.13.4-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Andy Loven 2012-10-13 23:03:53 EDT
Clicked "Move up"

Package: alacarte-0.13.4-4.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 HUGEL Christian 2012-11-12 12:09:37 EST
Previous boot : set up alacarte (some bugs happened)

this boot : error


Package: alacarte-0.13.4-4.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Fedora End Of Life 2013-07-03 19:22:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 21:59:49 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.